/*
 * Class INDEXABLE [INTEGER_16, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1953 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1953 [] = {0xFF01,1551,1952,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1953 [] = {0xFF01,1952,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1953 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1953 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1953 [] = {0xFF01,1952,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1953 [] = {0xFF01,1952,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1953 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1953 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1953 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1953 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1953 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1953 [] = {1952,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1953 [] = {0xFF01,1952,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1953 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1953 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1953 [] = {0xFF01,1933,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1953 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1953 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1953 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1953 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1953 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1953 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1953[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1953), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1953), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1953), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1953), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1953), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1953), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1953), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1953), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1953), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1953), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1953), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1953), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1953), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1953), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1953), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1953), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1953), 11019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1953), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1953), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1953), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1953), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1953), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1953), -1, 0xFFFFFFFF},
};
void Init1953(void)
{
	IDSC(desc_1953, 0, 1952);
	IDSC(desc_1953 + 1, 1, 1952);
	IDSC(desc_1953 + 32, 1134, 1952);
	IDSC(desc_1953 + 41, 1135, 1952);
	IDSC(desc_1953 + 50, 1088, 1952);
	IDSC(desc_1953 + 52, 916, 1952);
	IDSC(desc_1953 + 58, 1570, 1952);
	IDSC(desc_1953 + 61, 778, 1952);
	IDSC(desc_1953 + 62, 794, 1952);
}


#ifdef __cplusplus
}
#endif
